Subject: Re: bug#43226: 28.0.50; Running Tramp tests on MS-Windows leaves zombie processes on the remote

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Sep 2020 18:14:43 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 06 Sep 2020 10:49:51 +0200
> 
> Does the appended patch makes a difference?

I'm afraid it doesn't.

Just to be sure I test this correctly: after installing the change and
compiling tramp-cmds.el, I run the test tramp-test30-make-process
twice.  What I see after the first run is that 2 'cat' processes (each
one with 2 sshd) and one /bin/sh process (with 2 sshd processes of its
own) are left behind.  After the second run, I see 4 'cat' processes
(each one with 2 sshd) and the same single /bin/sh process with its 2
sshd processes.  Thus my conclusion is that sending EOF to the
processes doesn't help.

Thanks.